`timescale 1ns / 1ps
////////////////////////////////////////////////////////////////////////////////
// Engineer: Magnus Overbo
// 
// Create Date:		20190212
// Revision Date: 20190324
// Design Name:   FPGA Ciphersearch 
// Module Name:		testbench
// Project Name: 
// Target Devices: FPGA Ciphersearch 
// 
// Revision:
// Revision 0.01 - File Created
// Revision 1.00 - Testbench simulating clock, switches and LED registers
////////////////////////////////////////////////////////////////////////////////

module testbench();
	reg						synclock;			//Create reg for synclock
	
	reg    [15:0] SWreg=0;			//Simulate button state
	wire   [15:0] SWwire;

	reg    [15:0] LEDreg;				//Simulate LED pins
	wire   [15:0] LEDwire;

	reg           UARTreg;			//Simulate UART pin
	wire          UARTwire;
	
	//Modules
	arbp s1( synclock, SWreg, LEDwire, UARTwire);
	
	initial begin
		synclock = 1'b0;					//Initialise simulated clock
		#5000 $finish;						//Finish after 5k iterations
	end
	
	//Clock pulse simulation
	always	#1 synclock = !synclock;
	
endmodule
